server:
   disable: true

clients:
  - url: http://loki:3100/loki/api/v1/push

scrape_configs:
  - job_name: filtered_event_stream
    pipeline_stages:
      - json:
          expressions:
            timestamp: timestamp
            message: message
            level: level
      - labels:
          level:
      - match:
          selector: '{level!~"Error|Fatal|Undefined"}'
          stages:
            - json:
                expressions:
                  event_action: event_action
                  event_reason: event_reason
                  resource_kind: resource_kind
                  resource_namespace: resource_namespace
                  resource_name: resource_name
            - labels:
                event_action:
                event_reason:
                resource_kind:
                resource_namespace:
                resource_name:
      - output:
          source: message
      - timestamp:
          source: timestamp
          format: RFC3339Nano
